@echo off
TITLE IBM Replication Manager CLI
@setlocal

REM ***************************************************************************
REM Set up the environment for this specific configuration.  Both
REM JAVA_HOME and CSMCLI_HOME must be defined in environment variables.
REM ***************************************************************************
set CSMJDK=%JAVA_HOME%
if "%CSMJDK%"=="" GOTO ERROR_JAVA
set CSMCLI=%CSMCLI_HOME%
if "%CSMCLI%"=="" GOTO ERROR_CLI
set PATH=%CSMCLI%\lib;%PATH%
set CSMCP=.;lib\csmcli.jar;lib\clicommon.jar;lib\csmclient.jar;lib\essClientApi.jar;
set CSMCP=%CSMCP%;lib\ibmCIMClient.jar;lib\jlog.jar;lib\jsse.jar;lib\xerces.jar;
set CSMCP=%CSMCP%;lib\rmmessages.jar;lib\snmp.jar;lib\ssgclihelp.jar;lib\ssgfrmwk.jar;

REM ***************************************************************************
REM Execute the CSMCLI program.
REM ***************************************************************************
cd /d "%CSMCLI%"
"%CSMJDK%\bin\java" -classpath %CSMCP% com.ibm.storage.mdm.cli.rm.RmCli %*
GOTO END

REM ***************************************************************************
REM The Java interpreter home environment variable, JAVA_HOME, is not set
REM ***************************************************************************
:ERROR_JAVA
echo The JAVA_HOME environment variable is not set.  Please see documentation.
GOTO END

REM ***************************************************************************
REM The CSM CLI home environment variable, CSMCLI_HOME, is not set
REM ***************************************************************************
:ERROR_CLI
echo The CSMCLI_HOME environment variable is not set.  Please see documentation.

:END
@endlocal
