

-- SQL statements to build the REPMGR related tables
-- 

CREATE SCHEMA REPMGR;

DROP TABLE REPMGR.CSMUSER;
CREATE TABLE REPMGR.CSMUSER
  (USERNAME VARCHAR(250) NOT NULL,
   PASSWORD VARCHAR(250) NOT NULL,
   ROLE VARCHAR(250));

ALTER TABLE REPMGR.CSMUSER
  ADD CONSTRAINT PK_CSMUSER PRIMARY KEY (USERNAME);
  
DROP TABLE REPMGR.CSMPROPERTIES;
CREATE TABLE REPMGR.CSMPROPERTIES
  (PROP_NAME VARCHAR(250) NOT NULL,
   PROP_VALUE VARCHAR(250) NOT NULL);

ALTER TABLE REPMGR.CSMPROPERTIES
  ADD CONSTRAINT PK_CSMPROPERTIES PRIMARY KEY (PROP_NAME);


DROP TABLE REPMGR.DRIVER;
CREATE TABLE REPMGR.DRIVER
  (DRIVERID VARCHAR(250) NOT NULL,
   TYPE1 VARCHAR(250),
   ISSHADOWING SMALLINT NOT NULL,
   CONTROLCLASS VARCHAR(250),
   NUMBEROFPAIRS INTEGER NOT NULL,
   CGINFO BLOB(13000),
   SEQUENCENAME VARCHAR(250),
   SESSIONNAME VARCHAR(250) NOT NULL,
   ISDEFINED SMALLINT NOT NULL,
   TIMESTAMP1 VARCHAR(250),
   INUSE SMALLINT NOT NULL,
   HWCONSISTENCYGROUPNAME VARCHAR(250),
   ISNEW SMALLINT NOT NULL);

ALTER TABLE REPMGR.DRIVER
  ADD CONSTRAINT PK_DRIVER PRIMARY KEY (DRIVERID, SESSIONNAME);


DROP TABLE REPMGR.PAIR;
CREATE TABLE REPMGR.PAIR
  (SOURCEID VARCHAR(250) NOT NULL,
   TARGETID VARCHAR(250) NOT NULL,
   STATE1 VARCHAR(250),
   DRIVERID VARCHAR(250),
   PENDINGSTATE VARCHAR(250),
   SESSIONNAME VARCHAR(250) NOT NULL,
   SEQUENCENAME VARCHAR(250) NOT NULL, 
   ISNEW SMALLINT NOT NULL,
   TIMESTAMP1 VARCHAR(250),
   ISSHADOWING SMALLINT NOT NULL,
   ISCONSISTENT SMALLINT NOT NULL,
   LASTRESULTTYPE INTEGER NOT NULL,
   LASTRESULTMSGKEY VARCHAR(10),
   LASTRESULTINSERTS BLOB(11000),
   LASTRESULTTIME TIMESTAMP NOT NULL,
   PENDINGREASONCODE INTEGER NOT NULL,
   ISINHWCONSISTENCYGROUP SMALLINT NOT NULL,
   DIRECTION SMALLINT NOT NULL,
   COPYSETID VARCHAR(250));

ALTER TABLE REPMGR.PAIR
  ADD CONSTRAINT PK_PAIR PRIMARY KEY (SOURCEID, TARGETID, SESSIONNAME);

DROP TABLE REPMGR.SESSION1;
CREATE TABLE REPMGR.SESSION1
  (SESSIONNAME VARCHAR(250) NOT NULL,
   COPYRULES BLOB(13000),
   CMDBEINGPROCESSED VARCHAR(250),
   STATE VARCHAR(250),
   DESCRIPTION VARCHAR(250),
   PRODUCTIONROLE VARCHAR(250),
   NUMACTIVEDRIVERS INTEGER NOT NULL,
   INUSE SMALLINT NOT NULL,
   INGENERATE VARCHAR(250));

ALTER TABLE REPMGR.SESSION1
  ADD CONSTRAINT PK_SESSION1 PRIMARY KEY (SESSIONNAME);

DROP TABLE REPMGR.COPYSET;
CREATE TABLE REPMGR.COPYSET
  (COPYSETID VARCHAR(250) NOT NULL,
   CONSISTENCYLEVEL VARCHAR(250),
   SESSIONNAME VARCHAR(250) NOT NULL,
   INGAME SMALLINT NOT NULL,
   ISVALID SMALLINT NOT NULL,
   ISVERIFIED SMALLINT NOT NULL);

ALTER TABLE REPMGR.COPYSET
  ADD CONSTRAINT PK_COPYSET PRIMARY KEY (COPYSETID, SESSIONNAME);

DROP TABLE REPMGR.POINT;
CREATE TABLE REPMGR.POINT
  (POINTID VARCHAR(250) NOT NULL,
   POINTNUMBER INTEGER NOT NULL,
   SESSIONID VARCHAR(250) NOT NULL,
   COPYSETID VARCHAR(250));

ALTER TABLE REPMGR.POINT
  ADD CONSTRAINT PK_POINT PRIMARY KEY (POINTID, SESSIONID);

DROP TABLE REPMGR.SEQUENCE;
CREATE TABLE REPMGR.SEQUENCE
  (SEQUENCENAME VARCHAR(250) NOT NULL,
   SESSIONNAME VARCHAR(250) NOT NULL,
   DIRECTION SMALLINT NOT NULL);

ALTER TABLE REPMGR.SEQUENCE
  ADD CONSTRAINT PK_SEQUENCE PRIMARY KEY (SEQUENCENAME, SESSIONNAME);

DROP TABLE REPMGR.HA_STATUS;  
CREATE TABLE REPMGR.HA_STATUS
 (HOSTNAME VARCHAR(250) NOT NULL,
  IPADDRESS VARCHAR(36) NOT NULL,
  ROLE SMALLINT NOT NULL DEFAULT 0,
  STATE SMALLINT NOT NULL DEFAULT 0,
  TIME_STAMP TIMESTAMP NOT NULL);

ALTER TABLE REPMGR.HA_STATUS
  ADD CONSTRAINT PK_HA_STATUS PRIMARY KEY (HOSTNAME, IPADDRESS);
    
DROP TABLE REPMGR.SNMP_MGRS;
CREATE TABLE REPMGR.SNMP_MGRS 
 (MGRNAME VARCHAR (250) NOT NULL, 
  PORT INTEGER NOT NULL WITH DEFAULT 162);
  
ALTER TABLE REPMGR.SNMP_MGRS
  ADD CONSTRAINT PK_SNMP_MGRS PRIMARY KEY ( MGRNAME, PORT);
  
  